org.modeshape.jcr.txn

## Class SynchronizedTransactions.SynchronizedMonitor

- java.lang.Object
- - org.modeshape.jcr.txn.SynchronizedTransactions.SynchronizedMonitor

- All Implemented Interfaces:
    SessionEnvironment.Monitor
  Enclosing class:
    SynchronizedTransactions

      protected static final class SynchronizedTransactions.SynchronizedMonitor
      extends Object
      implements SessionEnvironment.Monitor

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SynchronizedTransactions.SynchronizedMonitor(SessionEnvironment.Monitor delegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatchRecordedChanges()`
    `void` | `recordAdd(String workspace, NodeKey key, Path path, Name primaryType, Set<Name> mixinTypes, Iterator<Property> propertiesIterator)` Add to the index the information about a node.
    `void` | `recordChanged(long changedNodesCount)` Record total number of nodes that were affected
    `void` | `recordRemove(String workspace, Iterable<NodeKey> keys)` Remove from the index for the given workspace all of the nodes with the supplied keys.
    `void` | `recordUpdate(String workspace, NodeKey key, Path path, Name primaryType, Set<Name> mixinTypes, Iterator<Property> properties)` Update the index to reflect the new state of the node.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SynchronizedTransactions.SynchronizedMonitor

          protected SynchronizedTransactions.SynchronizedMonitor(SessionEnvironment.Monitor delegate)

  - ### Method Detail

    - #### recordAdd

          public void recordAdd(String workspace,
                       NodeKey key,
                       Path path,
                       Name primaryType,
                       Set<Name> mixinTypes,
                       Iterator<Property> propertiesIterator)

      Description copied from interface: `SessionEnvironment.Monitor`
      Add to the index the information about a node.
      Specified by:
        `recordAdd` in interface `SessionEnvironment.Monitor`
      Parameters:
        `workspace` - the workspace in which the node information should be available; may not be null
        `key` - the unique key for the node; may not be null
        `path` - the path of the node; may not be null
        `primaryType` - the primary type of the node; may not be null
        `mixinTypes` - the mixin types for the node; may not be null but may be empty
        `propertiesIterator` - an iterator over a collection of properties

    - #### recordUpdate

          public void recordUpdate(String workspace,
                          NodeKey key,
                          Path path,
                          Name primaryType,
                          Set<Name> mixinTypes,
                          Iterator<Property> properties)

      Description copied from interface: `SessionEnvironment.Monitor`
      Update the index to reflect the new state of the node.
      Specified by:
        `recordUpdate` in interface `SessionEnvironment.Monitor`
      Parameters:
        `workspace` - the workspace in which the node information should be available; may not be null
        `key` - the unique key for the node; may not be null
        `path` - the path of the node; may not be null
        `primaryType` - the primary type of the node; may not be null
        `mixinTypes` - the mixin types for the node; may not be null but may be empty
        `properties` - the properties of the node; may not be null but may be empty

    - #### recordRemove

          public void recordRemove(String workspace,
                          Iterable<NodeKey> keys)

      Description copied from interface: `SessionEnvironment.Monitor`
      Remove from the index for the given workspace all of the nodes with the supplied keys.
      Specified by:
        `recordRemove` in interface `SessionEnvironment.Monitor`
      Parameters:
        `workspace` - the workspace in which the nodes were removed; may not be null
        `keys` - the keys for the nodes that are to be removed; may not be null

    - #### recordChanged

          public void recordChanged(long changedNodesCount)

      Description copied from interface: `SessionEnvironment.Monitor`
      Record total number of nodes that were affected
      Specified by:
        `recordChanged` in interface `SessionEnvironment.Monitor`

    - #### dispatchRecordedChanges

          protected void dispatchRecordedChanges()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.